package J20250714.demo01;

/**
 * @author WanJl
 * @version 1.0
 * @title Person
 * @description 创建一个Person类
 * @create 2025/7/14
 */
public class Person {
    //属性
    String name;

    //我们的最终目的是让别人能复制，但是不能随便赋值
    //1、在age前面加private修饰符-->外部不能赋值，内部可以赋值
    //2、实现外部可以赋值
    //3、加以赋值的限制

    private int age;    //把这个age属性的权限变为私有的，也就是说只有在本类中，才能被使用
    //为年龄赋值的方法
    public void setAge(int age){
        //如果age前面不加this，那么由于就近原则，指向都是局部变量(参数)age
        //加了this.就说明这个age是对象的成员属性age。
        //this的含义就是当前对象。
        //这种方式赋值的好处，就是可以在方法中进行限制，比如加一个if判断
        if(age>0&&age<125){
            this.age=age;
        }else {
            System.out.println("年龄赋值有误");
        }
    }

    //获取年龄的方法
    public int getAge(){
        return this.age;
    }




    //行为
    public void eat(String sw){
        System.out.println("我今天早上吃"+sw);
    }
    public void sleep(){
        System.out.println("我喜欢睡觉");
    }
    public String work(String nr){
        String s="我今天做"+nr+"工作，收获很多，各种摸鱼";
        return s;
    }
    public String play(){
        return "玩啥都开心";
    }
}
